Skip to main content
`Ctrl`+`K`

# PETSC_VIEWER_HDF5_

Creates an `PETSCVIEWERHDF5` `PetscViewer` shared by all processors in a communicator.

## Synopsis

    PetscViewer PETSC_VIEWER_HDF5_(MPI_Comm comm)

Collective

## Input Parameter

- comm - the MPI communicator to share the `PETSCVIEWERHDF5` `PetscViewer`

## Options Database Key

- -viewer_hdf5_filename name - name of the HDF5 file

## Environmental variable

- `PETSC_VIEWER_HDF5_FILENAME` - name of the HDF5 file

## Note

Unlike almost all other PETSc routines, `PETSC_VIEWER_HDF5_()` does not return an error code. The HDF5 `PetscViewer` is usually used in the form

      XXXView(XXX object, PETSC_VIEWER_HDF5_(comm));

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERHDF5`, `PetscViewerHDF5Open()`, `PetscViewerCreate()`, `PetscViewerDestroy()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages